<?xml version="1.0" encoding="utf-8"?>
<androidx.cardview.widget.CardView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_margin="@dimen/_7sdp"
    app:cardCornerRadius="@dimen/_10sdp"
    app:cardElevation="@dimen/_5sdp">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">

        <LinearLayout
            android:id="@+id/ll_short_content"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            android:visibility="visible"

            android:padding="@dimen/_15sdp"
            android:weightSum="1">

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="0.5"
                android:gravity="start|center"
                android:orientation="vertical">

                <com.app.alliedmotor.utility.widgets.CustomTextViewSemiBold
                    android:id="@+id/tv_carname"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="Luxury"
                    android:textColor="@color/text_heading1"
                    android:textSize="@dimen/_13sdp" />

                <com.app.alliedmotor.utility.widgets.CustomTextViewRegular
                    android:id="@+id/tv_orderdate"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="22/11/2021 11.00 A.M"
                    android:textSize="@dimen/_10sdp"
                    android:textColor="@color/main_brand_bottomline"
                    android:layout_marginTop="@dimen/_3sdp"

                    />
            </LinearLayout>

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="0.5"
                android:gravity="end"
                android:orientation="vertical"
                android:paddingRight="@dimen/_5sdp">

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <com.app.alliedmotor.utility.widgets.CustomTextViewRegular
                        android:id="@+id/tv_ticketno"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="Ticket no"
                        android:textColor="@color/grey94"
                        android:textSize="@dimen/_10sdp" />

                    <ImageView
                        android:id="@+id/ic_expand"
                        android:layout_width="wrap_content"
                        android:layout_height="@dimen/_15sdp"
                        android:layout_gravity="start"
                        android:scaleType="center"
                        android:layout_toRightOf="@id/tv_ticketno"
                        android:src="@drawable/ic_down_arrow"
                        app:tint="@color/grey_color1" />
                </LinearLayout>

                <androidx.cardview.widget.CardView
                    android:id="@+id/cv_status"
                    android:layout_width="match_parent"
                    android:layout_marginLeft="@dimen/_30sdp"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/_3sdp"
                    android:orientation="vertical"

                   app:cardBackgroundColor="@color/rejected_bg"
                    app:cardCornerRadius="@dimen/_10sdp"
                    app:cardElevation="0dp">

                    <com.app.alliedmotor.utility.widgets.CustomTextViewMedium
                        android:id="@+id/tv_ticket_result"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:text=""
                        android:textColor="@color/white"
                        android:paddingHorizontal="@dimen/_7sdp"
                        android:paddingVertical="@dimen/_3sdp"
                        android:textSize="@dimen/_9sdp" />
                </androidx.cardview.widget.CardView>
            </LinearLayout>
        </LinearLayout>




        <!--Content elaborated -->
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:id="@+id/ll_detailed_content"
            android:visibility="gone"
            android:orientation="vertical">
        <LinearLayout
            android:id="@+id/ll_briefcontent"
            android:layout_width="match_parent"
            android:layout_height="match_parent"

            android:orientation="horizontal"
            android:padding="@dimen/_10sdp">


            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="0.5"
                android:gravity="start|center"
                android:orientation="vertical">

                <com.app.alliedmotor.utility.widgets.CustomTextViewSemiBold
                    android:id="@+id/tv_carname1"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="Luxury"
                    android:textColor="@color/text_heading1"
                    android:textSize="@dimen/_13sdp" />

                <com.app.alliedmotor.utility.widgets.CustomTextViewRegular
                    android:id="@+id/tv_orderdate1"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="22/11/2021 11.00 A.M"
                    android:textSize="@dimen/_10sdp"
                    android:textColor="@color/main_brand_bottomline"


                    />
            </LinearLayout>

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="0.5"
                android:gravity="end"
                android:orientation="vertical"
                android:paddingRight="@dimen/_5sdp">

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <com.app.alliedmotor.utility.widgets.CustomTextViewRegular
                        android:id="@+id/tv_ticketno1"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="Ticket no"
                        android:textColor="@color/main_brand_bottomline"

                        android:textSize="@dimen/_10sdp" />

                    <ImageView
                        android:id="@+id/ic_expand1"
                        android:layout_width="wrap_content"
                        android:layout_height="@dimen/_15sdp"
                        android:layout_toRightOf="@id/tv_ticketno"
                        android:src="@drawable/ic_up_arrow"
                        android:scaleType="center"
                        app:tint="@color/grey_color1" />
                </LinearLayout>

                <androidx.cardview.widget.CardView

                    android:layout_width="@dimen/_50sdp"
                    android:layout_height="@dimen/_10sdp"
                    android:orientation="vertical"
                    android:visibility="invisible"
                    app:cardBackgroundColor="@color/add_quote_bg_status"
                    app:cardCornerRadius="@dimen/_10sdp"
                    app:cardElevation="0dp">

                    <com.app.alliedmotor.utility.widgets.CustomTextViewMedium

                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:text="Closed"
                        android:textSize="@dimen/_10sdp" />
                </androidx.cardview.widget.CardView>

            </LinearLayout>

        </LinearLayout>
        <!-- Call , Message , Satus ticket -->

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            android:paddingLeft="@dimen/_7sdp"
            android:weightSum="1">

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="0.6"
                android:orientation="horizontal">

                <androidx.cardview.widget.CardView
                    android:id="@+id/cl_Call"
                    android:layout_width="@dimen/_50sdp"
                    android:layout_height="@dimen/_20sdp"
                    android:orientation="vertical"
                    app:cardBackgroundColor="@color/cv_callblue"
                    app:cardCornerRadius="@dimen/_10sdp"
                    app:cardElevation="0dp">

                    <com.app.alliedmotor.utility.widgets.CustomTextViewMedium
                        android:id="@+id/tv_call"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:drawableLeft="@drawable/ic_call_blue"
                        android:drawablePadding="@dimen/_5sdp"
                        android:text="Call"
                        android:textSize="@dimen/_10sdp" />
                </androidx.cardview.widget.CardView>

                <androidx.cardview.widget.CardView
                    android:id="@+id/cv_message"
                    android:layout_width="@dimen/_75sdp"
                    android:layout_height="@dimen/_20sdp"
                    android:layout_marginLeft="@dimen/_20sdp"
                    android:orientation="vertical"
                    app:cardBackgroundColor="@color/light_yellow"
                    app:cardCornerRadius="@dimen/_10sdp"
                    app:cardElevation="0dp">

                    <com.app.alliedmotor.utility.widgets.CustomTextViewMedium
                        android:id="@+id/tv_messge"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:drawableLeft="@drawable/ic_tmessage_yellow"
                        android:drawablePadding="@dimen/_5sdp"
                        android:text="message"
                        android:textSize="@dimen/_10sdp" />
                </androidx.cardview.widget.CardView>
            </LinearLayout>

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="0.4"
                android:gravity="center_horizontal">

                <androidx.cardview.widget.CardView
                    android:id="@+id/cv_status1"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/_12sdp"
                    android:layout_marginRight="@dimen/_10sdp"
                    android:layout_gravity="center_vertical"
                    android:orientation="vertical"
                    app:cardBackgroundColor="@color/rejected_bg"
                    app:cardCornerRadius="@dimen/_10sdp"
                    app:cardElevation="0dp">

                    <com.app.alliedmotor.utility.widgets.CustomTextViewMedium
                        android:id="@+id/tv_ticket_result1"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:text=""
                        android:textColor="@color/white"
                        android:paddingHorizontal="@dimen/_7sdp"
                        android:paddingVertical="@dimen/_3sdp"
                        android:textSize="@dimen/_10sdp" />
                </androidx.cardview.widget.CardView>
            </LinearLayout>

        </LinearLayout>

        <View
            android:id="@+id/View_line1_v"
            android:layout_width="match_parent"
            android:layout_height="0.5dp"
            android:layout_marginTop="@dimen/_5sdp"
            android:background="@color/bottom_line_color"
            android:orientation="horizontal" />

        <!-- Content -->
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:weightSum="1"
            android:orientation="horizontal">

            <com.app.alliedmotor.utility.widgets.CustomTextViewRegular
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:padding="@dimen/_7sdp"
                android:layout_weight="0.45"
                android:gravity="center"
                android:textSize="@dimen/_11sdp"
                android:textColor="@color/grey_color1"
                android:text="Model Variant Details" />

            <View
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="0.003"
                android:background="@color/bottom_line_color"
                android:orientation="vertical" />

            <com.app.alliedmotor.utility.widgets.CustomTextViewRegular
                android:layout_width="0dp"
                android:layout_weight="0.23"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:textSize="@dimen/_11sdp"
                android:textColor="@color/grey_color1"
                android:padding="@dimen/_7sdp"
                android:text="Qty" />

            <View
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="0.003"
                android:background="@color/bottom_line_color"
                android:orientation="vertical" />

            <com.app.alliedmotor.utility.widgets.CustomTextViewRegular
                android:layout_width="0dp"
                android:layout_weight="0.3"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:textSize="@dimen/_11sdp"
                android:padding="@dimen/_7sdp"
                android:textColor="@color/grey_color1"
                android:text="Status" />


        </LinearLayout>



            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv_order_rows"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                 />

      <!--  <View
            android:id="@+id/View_line2"
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:background="@color/colorGrey"
            android:orientation="horizontal" />
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:weightSum="1"
            android:orientation="horizontal">

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="0.45"
                android:padding="@dimen/_7sdp"
                android:orientation="vertical">
            <com.app.alliedmotors.utility.widgets.CustomTextViewRegular
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:id="@+id/tv_carbrand"
                android:textSize="@dimen/_8sdp"
                android:text="Rolls Royce" />
                <com.app.alliedmotors.utility.widgets.CustomTextViewRegular
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:id="@+id/tv_carname2"
                    android:textSize="@dimen/_9sdp"
                    android:text="Rolls Royce" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/_5sdp"
                    android:weightSum="1"
                    android:orientation="horizontal">
                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_weight="0.5"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <ImageView
                        android:layout_width="@dimen/_9sdp"
                        android:layout_height="@dimen/_9sdp"
                        android:layout_gravity="center"
                        android:src="@drawable/ic_cal_preowned"/>

                    <com.app.alliedmotors.utility.widgets.CustomTextViewRegular
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:id="@+id/tv_modelyear"
                        android:layout_marginLeft="@dimen/_3sdp"
                        android:textSize="@dimen/_8sdp"
                        android:text="2010" />
                </LinearLayout>
                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_weight="0.5"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <ImageView
                        android:layout_width="@dimen/_9sdp"
                        android:layout_height="@dimen/_9sdp"
                        android:layout_gravity="center"
                        android:src="@drawable/ic_setting"/>

                    <com.app.alliedmotors.utility.widgets.CustomTextViewRegular
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:id="@+id/tv_tolc"
                        android:layout_marginLeft="@dimen/_3sdp"
                        android:textSize="@dimen/_9sdp"
                        android:text="Tolc" />
                </LinearLayout>

                </LinearLayout>

                <LinearLayout
                    android:layout_width="wrap_content"
                    android:layout_marginTop="@dimen/_5sdp"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal">

                    <ImageView
                        android:layout_width="@dimen/_9sdp"
                        android:layout_height="@dimen/_9sdp"
                        android:layout_gravity="center"
                        android:src="@drawable/ic_setting"/>

                    <com.app.alliedmotors.utility.widgets.CustomTextViewRegular
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:id="@+id/tv_gx"
                        android:layout_marginLeft="@dimen/_3sdp"
                        android:textSize="@dimen/_8sdp"
                        android:text="Gx" />
                </LinearLayout>

            </LinearLayout>

            <View
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="0.003"
                android:background="@color/colorGrey"
                android:orientation="vertical" />

            <com.app.alliedmotors.utility.widgets.CustomTextViewRegular
                android:layout_width="0dp"
                android:layout_weight="0.23"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:id="@+id/tv_qty"
                android:textSize="@dimen/_10sdp"
                android:padding="@dimen/_7sdp"
                android:text="Qty" />

            <View
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="0.003"
                android:background="@color/colorGrey"
                android:orientation="vertical" />

            <com.app.alliedmotors.utility.widgets.CustomTextViewRegular
                android:layout_width="0dp"
                android:layout_weight="0.3"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:id="@+id/tv_status"
                android:textSize="@dimen/_10sdp"
                android:padding="@dimen/_7sdp"
                android:text="Status" />


        </LinearLayout>
        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:background="@color/colorGrey"
            android:orientation="horizontal" />-->
        </LinearLayout>
    </LinearLayout>
</androidx.cardview.widget.CardView>


